<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- Bootstrap CSS -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
      crossorigin="anonymous"
    />

    <title>Doc4You</title>
    <script>
      var message = "";
      var state = false;
      window.onload = () => {
        validateLogin();
      };
      const validateLogin = () => {
        console.log("El mensaje es :" + message);
        if (state) {
          document.getElementById("message").setAttribute("class", "");
          document
            .getElementById("message")
            .classList.add("alert", "alert-success");
          document.getElementById("message").innerHTML = message;
          document.getElementById("message").removeAttribute("hidden");
        } else {
          document.getElementById("message").setAttribute("class", "");
          document
            .getElementById("message")
            .classList.add("alert", "alert-danger");
          document.getElementById("message").innerHTML = message;
          document.getElementById("message").removeAttribute("hidden");
        }
        setTimeout(() => {
          document.getElementById("message").setAttribute("hidden", "hidden");
        }, 3000);
      };
      const login = () => {
        usuario = document.getElementById("usuario").value;
        password = document.getElementById("password").value;
        var url = "/login";
        var data = { usuario, password };

        fetch(url, {
          method: "POST",
          body: JSON.stringify(data),
          headers: {
            "Content-Type": "application/json",
          },
        })
          .then((res) => res.json())
          .then((response) => {
            message = response.message;
            state = response.state;
            validateLogin();
            if (state) {
              setTimeout(() => {
                window.location = `/post?user_id=${response.user_id}`;
              }, 3000);
            }
          });
      };
    </script>
  </head>
  <body>
    <div class="container">
      <div
        class="card position-absolute top-50 start-50 translate-middle"
        style="width: 400px"
      >
        <div class="card-header">
          <img src="https://i.ibb.co/WcbZ09h/banner.png" class="card-img-top" />
        </div>
        <div class="container">
          <a class="btn btn-success" href="/signup" role="button">Registrate</a>
          <div class="mb-3">
            <label for="usuario" class="form-label">RUN</label>
            <input
              type="usuario"
              class="form-control"
              id="usuario"
              aria-describedby="usuario"
              name="usuario"
              required
            />
          </div>
          <div class="mb-3">
            <label for="password" class="form-label">Contraseña</label>
            <input
              type="password"
              class="form-control"
              id="password"
              name="password"
              required
            />
          </div>

          <button type="submit" class="btn btn-primary" onclick="login()">
            Ingresar
          </button>

          <div class="alert alert-danger" id="message" hidden="hidden"></div>
        </div>
      </div>
    </div>
  </body>
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"
  ></script>
</html>
